Subject: Re: Flushing I/D caches from userspace

From: Adam 'WeirdArms' Wiggins <[email-masked]>
Date: Sat, 10 Jun 2000 11:31:12 +1000 (EST)

On Fri, 9 Jun 2000, J.D. Bakker wrote:

> At 07:53 +0200 09-06-2000, Adam 'WeirdArms' Wiggins wrote:
> >	Allowing user space to flush the caches is can lead to real
> >problems.
> 
> Such as ? Considering that a context switch to a process with a different
> VM context causes a cache flush anyway, I can't imagine what harm it would
> do.

	Good point. I was going off the idea that the caches were not
flushed during a context switch... Simplest thing would be a syscall then.

	Cheers Adam

unsubscribe: body of `unsubscribe linux-arm-kernel' to [email-masked]